MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032171Open CASCADE[OCCT] OCCT:Data Exchangepublic2021-02-25 20:292021-04-03 12:52
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032171: Data Exchange - RWGltf_TriangulationReader and JTCAFControl_Triangulation don't copy cached bounding box
DescriptionRWGltf_TriangulationReader and JTCAFControl_Triangulation should pass through cached bounding box from temporary structures (RWGltf_GltfLatePrimitiveArray and JTCAFControl_Triangulation) to Poly_Triangulation.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032078verifiedbugmaster Open CASCADE Visualization, Poly_Triangulation - add cached bounding box 

-  Notes
(0099162)
git (administrator)
2021-02-25 20:31

Branch CR32171 has been created by kgv.

SHA-1: dbc5dae9ad0c8aa8aaac435f3aa35a8c023fe0d4


Detailed log of new commits:

Author: osa
Date: Thu Feb 25 19:18:12 2021 +0300

    0032171: Data Exchange - RWGltf_TriangulationReader doesn't copy cached bounding box
    
    Save cached bounding box in loaded triangulation getting it from "proxy" late-loaded object.
(0099163)
kgv (developer)
2021-02-25 20:32

Please raise the patch
- OCCT: branch CR32171.
(0099175)
osa (developer)
2021-02-26 11:34

The patches were updated
- OCCT: branch CR32171.
- OCCT Products: branch CR32171.
(0099177)
osa (developer)
2021-02-26 11:35

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32171-CR32171-OSA/ [^]
(0099185)
osa (developer)
2021-02-26 18:24

(0099206)
bugmaster (administrator)
2021-02-27 11:50

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099207)
git (administrator)
2021-02-27 12:26

Branch CR32171 has been deleted by inv.

SHA-1: dbc5dae9ad0c8aa8aaac435f3aa35a8c023fe0d4

- Related Changesets
occt: master bc0711a5
Timestamp: 2021-02-25 16:18:12
Author: osa
Committer: bugmaster
Details ] Diff ]
0032171: Data Exchange - RWGltf_TriangulationReader doesn't copy cached bounding box

Save cached bounding box in loaded triangulation getting it from "proxy" late-loaded object.
mod - src/RWGltf/RWGltf_TriangulationReader.cxx Diff ] File ]
mod - src/RWGltf/RWGltf_TriangulationReader.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-25 20:29 kgv New Issue
2021-02-25 20:29 kgv Assigned To => kgv
2021-02-25 20:31 git Note Added: 0099162
2021-02-25 20:32 kgv Note Added: 0099163
2021-02-25 20:32 kgv Assigned To kgv => bugmaster
2021-02-25 20:32 kgv Status new => resolved
2021-02-25 20:32 kgv Status resolved => reviewed
2021-02-25 20:32 kgv Relationship added child of 0032170
2021-02-25 20:33 kgv Relationship added child of 0032078
2021-02-26 11:24 osa Summary Data Exchange - RWGltf_TriangulationReader doesn't copy cached bounding box => Data Exchange - RWGltf_TriangulationReader and JTCAFControl_Triangulation don't copy cached bounding box
2021-02-26 11:24 osa Description Updated View Revisions
2021-02-26 11:34 osa Note Added: 0099175
2021-02-26 11:35 osa Note Added: 0099177
2021-02-26 18:24 osa Note Added: 0099185
2021-02-27 11:50 bugmaster Note Added: 0099206
2021-02-27 11:50 bugmaster Status reviewed => tested
2021-02-27 11:56 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master bc0711a5
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099207


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker